Summary:     The linux ethernet bridging tools
Name:        bridge-utils
Version:     0.9.6
Release:     2.pp
License:     GPL
Group:       Environment/Console
Source0:     http://bridge.sourceforge.net/bridge-utils/bridge-utils-0.9.6.tar.gz
Source1:     ifup-br
Source2:     ifdown-br
Source3:     ifcfg-br0.sample
URL:         http://bridge.sourceforge.net/
Buildroot:   /var/tmp/bridge-utils-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    initscripts >= 6.60 redhat-release >= 7.2
Provides:    bridge-utils.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install /bin/cp
BuildPrereq: glibc-devel
ExclusiveOS: linux

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

The included interface setup scripts work with RedHat 7.3. Maybe they
can be used with other RedHat releases, but it is not guaranteed to
work.


%package devel
Group:       Development/Libraries
Summary:     The development files for bridge-utils
Requires:    bridge-utils = %{version}-%{release} bridge-utils.pp
Provides:    bridge-utils-devel.pp

%description devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.


%prep
%setup -q -n %{name}
cp -f ${RPM_SOURCE_DIR}/if* .


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr         \
	--sysconfdir=/etc     \
	--localstatedir=/var  \
	--enable-shared       \
	--enable-static
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network-scripts
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0755 if*-br $RPM_BUILD_ROOT/etc/sysconfig/network-scripts
rm -f $RPM_BUILD_ROOT/usr/sbin/brctld


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README THANKS TODO ifcfg-br0.sample
%doc %dir doc misc
%attr(755,root,root) %config /etc/sysconfig/network-scripts/if*-br
/usr/man/man8/*
/usr/sbin/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*


%changelog
* Thu Jun 26 2003 peter.pramberger@1012surf.net
- created

